<!DOCTYPE HTML>
<html>
<head>
<title>HSYCO Manager</title>
<meta id="viewport" name="viewport" content="width=device-width; initial-scale=1.0; maximum-scale=1.0; user-scalable=0;">
<meta name="apple-mobile-web-app-capable" content="yes" />
<link rel="stylesheet" href="" type="text/css" id="skincss" onload="projectEditor.onCSSLoaded()"/>
<link rel="icon" href="/favicon.png" type="image/png" />
<link rel="apple-touch-icon" href="/manager/pic/hsyco-icon.png" />
<script type="text/javascript">
$embed:state;
$file:/manager/code/mm.js;
</script>
<style type="text/css">
$file:/manager/code/style.css;
</style>

<!--[if IE]>
<style type="text/css">
</style>
 <![endif]-->

</head>

<body id="hsycomanager">

<div id="preloadDiv" style="display:none">
	<img src="/manager/pic/iconprojects.png">
	<img src="/manager/pic/iconpages.png">
	<img src="/manager/pic/iconobjs.png">
	<img src="/manager/pic/iconmenul.png">
	<img src="/manager/pic/iconmenup.png">
	<img src="/manager/pic/iconpagel.png">
	<img src="/manager/pic/iconpagep.png">
	<img src="/manager/pic/iconpopup.png">
	<img src="/manager/pic/iconadd.png">
	<img src="/manager/pic/arrowi.png">
	<img src="/manager/pic/iconstatus.gif">
	<img src="/manager/pic/bticonwarning.png">
	<img src="/manager/pic/bticonundo.png">
</div>

<iframe id="downloadTarget" style="display:none"></iframe>

<div id="projectEditor">

	<div id="pe_attributeFields">
		<div name="title"> <!--  standalone title (for options) -->
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
		</div>
		
		<!-- project -->	
		<div name="projectskin">
			<div name="t" class="attrTitle"  onselectstart="return false;"  onselectstart="return false;"></div>
			<select name="s" class="stdInput" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)">
			<option value="blue">blue</option>
			</select>
		</div>	
		<div name="projectlan">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			<select name="s" class="stdInput" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)">
			<option value="it">it</option>
			<option value="en">en</option>
			<option value="fr">fr</option>
			</select>
		</div>
		<div name="projectsize">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			
			<div><input class="stdInputSmall" id="orientationenabled" name="orientationenabled" type="checkbox" onchange="projectEditor.setOrientationEnabled(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)"/><label>Orientation enabled</label></div>
			
			<br style="clear:both">
			
			<div name="od">
				<span class="colB">Width:</span>
				<span class="col">
					<input name="w" class="stdInput" type="text" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)" style="width:50px"> px
				</span>
				
				<br style="clear:both">
				
				<span class="colB">Height:</span>
				<span class="col">
					<input name="h" class="stdInput" type="text" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)" style="width:50px"> px
				</span>
			</div>
			
			<div name="oe" style="display:none">
				<span style="font-weight:bold">Landscape:</span>
				<br style="clear:both">
				<span class="colB">Width:</span>
				<span class="col">
					<input name="wl" class="stdInput" type="text" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)" style="width:50px"> px
				</span>
				
				<br style="clear:both">
				
				<span class="colB">Height:</span>
				<span class="col">
					<input name="hl" class="stdInput" type="text" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)" style="width:50px"> px
				</span>
				
				<br style="clear:both">
				<br style="clear:both">
				<span style="font-weight:bold">Portrait:</span>
				<br style="clear:both">
				<span class="colB">Width:</span>
				<span class="col">
					<input name="wp" class="stdInput" type="text" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)" style="width:50px"> px
				</span>
				
				<br style="clear:both">
				
				<span class="colB">Height:</span>
				<span class="col">
					<input name="hp" class="stdInput" type="text" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)" style="width:50px"> px
				</span>
			</div>
			
			<br style="clear:both">
			<br style="clear:both">
			
			<div class="mButton" style="min-width:0px" data-oc="projectEditor.setProjectSizeDefault('iPhone')">iPhone</div>
			<div class="mButton" style="min-width:0px" data-oc="projectEditor.setProjectSizeDefault('iPad')">iPad</div>
			<div class="mButton" style="min-width:0px" data-oc="projectEditor.setProjectSizeDefault('default')">default</div>
			
			<br style="clear:both">
		</div>
		<div name="cameralist">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			<div class="stdInput" style="float:left; padding:0; height:25px;">
				<input name="v" class="inner" readonly="readonly" type="text" value="" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)">
				<div class="mButton" style="float:right; height:13px; min-width:30px;" data-oc="projectEditor.openCameraValuesPopup('list')">...</div>
			</div>
			<br style="clear:both">
		</div>
		<div name="cameraoverlay">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			<div class="stdInput" style="float:left; padding:0; height:25px;">
				<input name="v" class="inner" readonly="readonly" type="text" value="" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)">
				<div class="mButton" style="float:right; height:13px; min-width:30px;" data-oc="projectEditor.openCameraValuesPopup('overlay')">...</div>
			</div>
			<br style="clear:both">
		</div>
		<div name="cameragridlist">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			<div class="stdInput" style="float:left; padding:0; height:25px;">
				<input name="v" class="inner" readonly="readonly" type="text" value="" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)">
				<div class="mButton" style="float:right; height:13px; min-width:30px;" data-oc="projectEditor.openCameraValuesPopup('grid')">...</div>
			</div>
			<br style="clear:both">
		</div>
		<div name="projectlocked">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			<div><input class="stdInputSmall" name="v" id="projectlocked" type="checkbox" onchange="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)" /><label for="projectlocked">Project locked</label></div>
		</div>
		<div name="projectkiosk">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			<select name="k" class="stdInput" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)">
			<option value="">disabled</option>
			<option value="nolock">enabled</option>
			<option value="lock">locked</option>
			</select>
			
			<br style="clear:both">
		</div>
		<div name="addproject">
			<div class="mButton" data-oc="projectEditor.newProject()">
				<img src="/manager/pic/bticonnew.png">
				<span>create project</span>
			</div>
			<br style="clear:both">
		</div>
		<div name="delproject">
			<div class="mButton" style="width:80px" data-oc="projectEditor.delProject()">
				<img src="/manager/pic/bticondel.png">
				<span>delete</span>
			</div>
			<br style="clear:both">
		</div>
		<div name="cloneproject">
			<div class="mButton" style="width:80px" data-oc="projectEditor.onProjectDuplicate()">
				<img src="/manager/pic/bticonclone.png">
				<span>duplicate</span>
			</div>
			<br style="clear:both">
		</div>
		
		<!-- page -->	
		<div name="pagetype">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			<select name="t" class="stdInput" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)">
			<option value="menu">menu</option>
			<option value="page">page</option>
			<option value="popup">popup</option>
			</select>
		</div>	
		<div name="pageorientation">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			<select name="o" class="stdInput" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)">
			<option value="landscape">landscape</option>
			<option value="portrait">portrait</option>
			</select>
		</div>
		<div name="pageprotected">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			<select name="o" class="stdInput" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)">
			<option value=""></option>
			<option value="pin">pin</option>
			<option value="puk">puk</option>
			</select>
		</div>
		<div name="locations">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			<input name="v" class="stdInput" type="text" value="" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)">
		</div>
		<div name="deviceimage">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			<select name="s" class="stdInput" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)">
			<option value="">enabled</option>
			<option value="disable">disabled</option>
			</select>
		</div>
		<div name="scale">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			<input name="v" class="stdInput" type="text" value="" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)">
		</div>
		<div name="popupsize">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			<span class="col" style="padding-top:3px; padding-bottom:5px">
				<span class="colB">Width:</span>
				<span class="col">
					<input name="w" class="stdInput" type="text" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)" style="width:50px"> px
				</span>
				
				<br style="clear:both">
				
				<span class="colB">Height:</span>
				<span class="col">
					<input name="h" class="stdInput" type="text" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)" style="width:50px"> px
				</span>
			</span>
			<div class="mButton" data-oc="projectEditor.fitPopupSize()">
				<span>fit size</span>
			</div>			
			<br style="clear:both">
		</div>
		<div name="delpage">
			<div class="mButton" style="width:80px" data-oc="projectEditor.onActivePageDelete()">
				<img src="/manager/pic/bticondel.png">
				<span>delete</span>
			</div>
			<br style="clear:both">
		</div>
		<div name="clonepage">
			<div class="mButton" style="width:80px" data-oc="projectEditor.onPageDuplicate()">
				<img src="/manager/pic/bticonclone.png">
				<span>duplicate</span>
			</div>
			<br style="clear:both">
		</div>
		
		<!-- popup -->	
		<div name="cameravalue"><div style="margin:4px">
			<div name="l" style="float:left; color:black; font-size:14px; width:90px; overflow:hidden"></div>
			<input name="v" class="stdInput" style="float:right" type="text" value="" onchange="var el=this.parentNode.getElementsByTagName('div')[0]; el.style.color=(this.value)?'black':'#aaa';" onkeyup="var el=this.parentNode.getElementsByTagName('div')[0]; el.style.color=(this.value)?'black':'#aaa';" onfocus="focusMe(this)" onblur="blurMe(this)">
			<br style="clear:both">
		</div></div>
		
		<!-- objects -->	
		<div name="pos">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			Mode:
			<input name="m" class="stdInputSmall" type="radio" selected="selected" value="xy" onclick="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)"  onfocus="focusMe(this)" onblur="blurMe(this)" id="radioposxy"><label for="radioposxy">X/Y</label>
			<input name="m" class="stdInputSmall" type="radio" checked="false" value="rc" onclick="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)"  onfocus="focusMe(this)" onblur="blurMe(this)" id="radioposrc"><label for="radioposrc">Row/Column</label>
			<br><br>
			<div name="xy" style="display:none">
			X:&nbsp;<input name="x" class="stdInput" type="text" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)" style="width:50px"> px<br>
			Y:&nbsp;<input name="y" class="stdInput" type="text" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)" style="width:50px"> px
			</div>
			<div name="rc" style="display:inline;">
			R:&nbsp;<input name="r" class="stdInput" type="text" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)" style="width:50px"><br>
			C:&nbsp;<input name="c" class="stdInput" type="text" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)" style="width:50px">
			</div>
		</div>
		<div name="label">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			<input name="v" class="stdInput" type="text" value="" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)">
		</div>
		<div name="string">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			<input name="v" class="stdInput" type="text" value="" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)">
		</div>
		<div name="select">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			<select name="s" class="stdInput" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)">
			</select>
		</div>
		<div name="link">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			<select name="s" class="stdInput" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)"></select>
			<div name="i" style="display:none">
				<br style="clear:both">
				<input name="l" class="stdInput" type="text" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)">
			</div>
		</div>
		<div name="color">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			<select name="s" class="stdInput" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)">
			</select>
		</div>
		<div name="width">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			<span class="colB">Width:</span>
			<span class="col">
			<input name="w" class="stdInput" type="text" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)" style="width:50px"> px<br>
			</span>
			<br style="clear:both">
		</div>
		<div name="height">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			<span class="colB">Height:</span>
			<span class="col">
			<input name="h" class="stdInput" type="text" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)" style="width:50px"> px
			</span>
			<br style="clear:both">
		</div>
		<div name="size">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			
			<span class="colB">Width:</span>
			<span class="col">
				<input name="w" class="stdInput" type="text" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)" style="width:50px"> px
			</span>
			
			<br style="clear:both">
			
			<span class="colB">Height:</span>
			<span class="col">
				<input name="h" class="stdInput" type="text" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)" style="width:50px"> px
			</span>
			<br style="clear:both">
		</div>
		<div name="cameraid">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			<select name="s" class="stdInput" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)">
			</select>
		</div>
		<div name="img">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			<div class="stdInput" style="float:left; padding:0; height:25px;">
			<input name="v" class="inner" type="text" value="" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)">
			<div class="mButton" style="float:right; height:13px; min-width:30px;" data-oc="projectEditor.openChooseFilePopup('img',e)">...</div>
			</div>
			<br style="clear:both">
		</div>		
		<div name="imgsize">
			<div name="t" class="attrTitle"  onselectstart="return false;">Size</div>
			<span class="col" style="padding-top:3px; padding-bottom:5px">
				<span class="colB">Width:</span>
				<span class="col">
					<input name="w" class="stdInput" type="text" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)" style="width:50px"> px
				</span>
				
				<br style="clear:both">
				
				<span class="colB">Height:</span>
				<span class="col">
					<input name="h" class="stdInput" type="text" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)" style="width:50px"> px
				</span>
			</span>
			<span class="col" style="padding-left:10px">
				<div class="mButton" style="min-width:0px" data-oc="projectEditor.setActiveObjSizeOriginal()">
					<img src="/manager/pic/bticonreload.png">
				</div>
			</span>
			<br style="clear:both">
			<div><input class="stdInputSmall" id="sizeratio" name="sizeratio" type="checkbox" onchange="projectEditor.setActiveObjSizeFixed(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)" /><label for="sizeratio">Fixed aspect ratio</label></div>
		</div>
		<div name="camera">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			<select name="s" class="stdInput" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)"></select>
		</div>
		<div name="camerasize">
			<div name="t" class="attrTitle"  onselectstart="return false;">Size</div>
			<span class="col" style="padding-top:3px; padding-bottom:5px">
				<span class="colB">Width:</span>
				<span class="col">
					<input name="w" class="stdInput" type="text" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)" style="width:50px"> px
				</span>
				
				<br style="clear:both">
				
				<span class="colB">Height:</span>
				<span class="col">
					<input name="h" class="stdInput" type="text" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)" style="width:50px"> px
				</span>
			</span>
			<span class="col" style="padding-left:10px">
				<div class="mButton" style="min-width:0px" data-oc="projectEditor.setActiveObjSizeOriginal()">
					<img src="/manager/pic/bticonreload.png">
				</div>
			</span>
			<br style="clear:both">
			<div><input class="stdInputSmall" id="sizeratio" name="sizeratio" type="checkbox" onchange="projectEditor.setActiveObjSizeFixed(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)" /><label for="sizeratio">Fixed aspect ratio</label></div>
		</div>
		<div name="css">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			<div class="stdInput" style="float:left; padding:0; height:25px;">
			<input name="v" class="inner" type="text" value="" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)">
			<div class="mButton" style="float:right; height:13px; min-width:30px;" data-oc="projectEditor.openCSSPopup(e)">...</div>
			</div>
			<br style="clear:both">
		</div>		
		<div name="chartattributes">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			<div class="stdInput" style="float:left; padding:0; height:25px;">
			<input name="v" class="inner" type="text" value="" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)">
			<div class="mButton" style="float:right; height:13px; min-width:30px;" data-oc="projectEditor.openChartAttributesPopup(e)">...</div>
			</div>
			<br style="clear:both">
		</div>		
		<div name="dataloggerattributes">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			<div class="stdInput" style="float:left; padding:0; height:25px;">
			<input name="v" class="inner" type="text" value="" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)">
			<div class="mButton" style="float:right; height:13px; min-width:30px;" data-oc="projectEditor.openDataLoggerAttributesPopup(e)">...</div>
			</div>
			<br style="clear:both">
		</div>		
		<div name="aux">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			<select name="s" class="stdInput" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)"></select>
		</div>
		<div name="device">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			<select name="s" class="stdInput" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)"></select>
			<div name="i" style="display:none">
				<br style="clear:both">
				<input name="l" class="stdInput" type="text" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)">
			</div>
		</div>
		<div name="music">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			<select name="s" class="stdInput" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)"></select>
		</div>
		<div name="timer">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			<select name="s" class="stdInput" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)"></select>
		</div>
		<div name="group">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			<select name="s" class="stdInput" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)"></select>
		</div>
		<div name="locations">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			<select name="s" class="stdInput" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)"></select>
		</div>
		<div name="scene">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			<select name="s" class="stdInput" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)"></select>
		</div>
		<div name="security">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			<select name="s" class="stdInput" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)"></select>
		</div>
		<div name="temp">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			<select name="s" class="stdInput" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)"></select>
		</div>
		<div name="include">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			<select name="s" class="stdInput" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)">
			</select>
		</div>
		<div name="openobj">
			<div class="mButton" style="width:80px" data-oc="projectEditor.openContainer(projectEditor.activeObj)">
				<img src="/manager/pic/bticonopenc.png">
				<span>open</span>
			</div>
			<br style="clear:both">
		</div>
		<div name="delobj">
			<div class="mButton" style="width:80px" data-oc="projectEditor.delActiveObj()">
				<img src="/manager/pic/bticondel.png">
				<span>delete</span>
			</div>
			<br style="clear:both">
		</div>
		<div name="cloneobj">
			<div class="mButton" style="width:80px" data-oc="projectEditor.cloneActiveObj()">
				<img src="/manager/pic/bticonclone.png">
				<span>duplicate</span>
			</div>
			<br style="clear:both">
		</div>
	</div>
	
	<div id="pe_editorArea">
	
		<div id="pe_bgArea">
			<div id="pe_bgAreaPopup" class="popuppage">
				<div name="cpanel" class="pagepopupcpanel popuppanel"><div class="l"><div class="t"></div><span></span><div class="b"></div></div><div class="r"><div class="t"></div><span></span><div class="b"></div></div><div class="c"><div class="t"></div><div class="b"></div></div></div>
			</div>
			<div id="pe_bgAreaPage"></div>
		</div>
		
		<div id="pe_contentArea">
			<div id="pe_pageContent"></div>
		</div>
		
		<div id="pe_helpersArea">
			<div id="pe_helpersContent">
				<div id="pe_selectedFrame">
					<div id="pe_selectedFrameBg"></div>
					<div id="pe_selectedFrameBorder"></div>
					<div id="pe_selectedFrameBorderOver"></div>
					<div id="pe_selectedFrameLabel"><div class="t"></div><div class="tr"></div><div class="r"></div><div class="br"></div><div class="b"></div><div class="bl"></div><div class="l"></div><div class="tl"></div><div class="txt"></div></div>
					<div id="pe_selectedFrameRemove"><img src="/manager/pic/seldel.png"></div>
					<div id="pe_selectedFrameResize"><img src="/manager/pic/selres.png"></div>
					<div id="pe_selectedFrameOpen"><img src="/manager/pic/selop.png"></div>
				</div>
				<div id="pe_xSnap"></div>
				<div id="pe_ySnap"></div>
				<div id="pe_containerFrame">
					<div id="pe_containerFrameClose"><img src="/manager/pic/selcl.png"></div>
				</div>
			</div>
		</div>
		
		<div id="pe_clickArea"></div>
	
	</div>

	<div id="pe_toolbar" class="toolbar">
		<div id="pe_toolbarHeader" class="toolbarHeader" onselectstart="return false;"></div>
		<div id="pe_toolbarAppsBt" class="mToolButton" data-oc="manager.showAppsPopup(true)"><img class="icon" src="/manager/pic/ticonapps.png"></div> 
		<div class="mToolSep"><img src="/manager/pic/ticonsep.png"></div> 
		<div id="pe_toolbarSaveBt" class="mToolButton" data-oc="projectEditor.saveProject()"><img class="icon" src="/manager/pic/ticonsave.png"><span>save</span></div> 
		<div id="pe_toolbarToolsBt" class="mToolButton" data-oc="manager.showToolbarPopup('pe_edit')"><img class="icon" src="/manager/pic/ticontools.png"><span>tools</span></div>
		<div id="pe_toolbarWarningsBt" class="mToolButton" data-oc="manager.showToolbarPopup('pe_warnings')"><img class="icon" src="/manager/pic/ticonalert.png"><span></span></div>
	</div>
	
	<div id="editorPanels">
		<div id="pe_iconPanel">
			<img class="iproject" src="/manager/pic/iconprojects.png" onclick="projectEditor.onPanelSelect('m',event)">
			<img class="iproject" src="/manager/pic/iconprojectso.png" onclick="projectEditor.onPanelSelect('m',event)">
			<img class="ipages" src="/manager/pic/iconpages.png" onclick="projectEditor.onPanelSelect('p',event)">
			<img class="ipages" src="/manager/pic/iconpageso.png" onclick="projectEditor.onPanelSelect('p',event)">
			<img class="ipages" src="/manager/pic/iconpagesd.png" onclick="projectEditor.onPanelSelect('p',event)">
			<img class="iobjs" src="/manager/pic/iconobjs.png" onclick="projectEditor.onPanelSelect('o',event)">
			<img class="iobjs" src="/manager/pic/iconobjso.png" onclick="projectEditor.onPanelSelect('o',event)">
			<img class="iobjs" src="/manager/pic/iconobjsd.png" onclick="projectEditor.onPanelSelect('o',event)">
		</div>
	
		<div id="pe_projectPanel" class="projectEditorPanel">
			<div id="pe_projectPanelTitle" class="header" onmousedown="return false"><div class='label'>Projects</div></div>
			<div id="pe_projectPanelContents" class="contents">
				<div class="tabs">
					<div id="pe_projectPanelListBt" class="bt list" onmousedown="projectEditor.selectTab('project','list'); return false;">load</div>
					<div id="pe_projectPanelEditBt" class="bt edit" onmousedown="projectEditor.selectTab('project','edit'); return false;">settings</div>
					<div id="pe_projectPanelAddBt" class="bt add" onmousedown="projectEditor.selectTab('project','add'); return false;">+</div>
				</div>
				<div id="pe_projectPanelList" class="tab"></div>
				<div id="pe_projectPanelEdit" class="tab"></div>
				<div id="pe_projectPanelAdd" class="tab"></div>
			</div>
		</div>
		
		<div id="pe_pagesPanel" class="projectEditorPanel">
			<div id="pe_pagesPanelTitle" class="header" onmousedown="return false"><div class='label'>Pages</div></div>
			<div id="pe_pagesPanelContents" class="contents">
				<div class="tabs">
					<div id="pe_pagesPanelListBt" class="bt list" onmousedown="projectEditor.selectTab('pages','list'); return false;">select</div>
					<div id="pe_pagesPanelEditBt" class="bt edit" onmousedown="projectEditor.selectTab('pages','edit'); return false;">edit</div>
					<div id="pe_pagesPanelAddBt" class="bt add" onmousedown="projectEditor.selectTab('pages','add'); return false;">+</div>
				</div>
				<div id="pe_pagesPanelList" class="tab"></div>
				<div id="pe_pagesPanelEdit" class="tab"></div>
				<div id="pe_pagesPanelAdd" class="tab"></div>
			</div>
		</div>
		
		<div id="pe_objsPanel" class="projectEditorPanel">
			<div id="pe_objsPanelTitle" class="header" onmousedown="return false"><div class='label'>Objects</div></div>
			<div id="pe_objsPanelContents" class="contents">
				<div class="tabs">
					<div id="pe_objsPanelListBt" class="bt list" onmousedown="projectEditor.selectTab('objs','list'); return false;">select</div>
					<div id="pe_objsPanelEditBt" class="bt edit" onmousedown="projectEditor.selectTab('objs','edit'); return false;">edit</div>
					<div id="pe_objsPanelAddBt" class="bt add" onmousedown="projectEditor.selectTab('objs','add'); return false;">+</div>
				</div>
				<div id="pe_objsPanelList" class="tab"></div>
				<div id="pe_objsPanelEdit" class="tab"></div>
				<div id="pe_objsPanelAdd" class="tab"></div>
				<div id="pe_objsPanelBts" class="bts">
					<div class="mButton" style="width:94px" data-oc="projectEditor.moveZ(-1)">
						<img src="/manager/pic/bticondown.png">
						<span>move down</span>
					</div>
					<div class="mButton" style="width:85px" data-oc="projectEditor.moveZ(1)">
						<img src="/manager/pic/bticonup.png">
						<span>move up</span>
					</div>
				</div>
			</div>
		</div>

	</div>

	<div id="pe_sourcePanel">
		<textarea id="pe_sourcePanelText" readonly="readonly" wrap="off" spellcheck="false"></textarea>
		<div name="closeBt" class="mToolButton popupBt" data-oc="projectEditor.showSourcePopup(false)"><img src="/manager/pic/bticonclose.png"></div>		
		<div name="closeBt" class="mToolButton popupBt" data-oc="projectEditor.showSourcePopup(true)"><img src="/manager/pic/bticonreload.png"></div>		
	</div>	
	
</div>

<div id="fileManager">

	<div id="fm_toolbar" class="toolbar">
		<div class="toolbarAppIcon"><img src="/manager/pic/iconfm.png"></div>
		<div id="fm_toolbarHeader" class="toolbarHeader" onselectstart="return false;">File Manager<span id="fm_editorTitle"> <img src='/manager/pic/arrow-r.png'> Text Editor</span></div>
		<div id="fm_toolbarAppsBt" class="mToolButton" data-oc="manager.showAppsPopup(true)"><img class="icon" src="/manager/pic/ticonapps.png"></div> 
		<div class="mToolSep"><img src="/manager/pic/ticonsep.png"></div> 
		<div id="fm_toolbarSaveBt" class="mToolButton" data-oc="fileManager.saveEditor()"><img class="icon" src="/manager/pic/ticonsave.png"><span>save</span></div>
		<div id="fm_toolbarToolsBt" class="mToolButton" data-oc="manager.showToolbarPopup('fm_edit')"><img class="icon" src="/manager/pic/ticontools.png"><span>tools</span></div>
		<div id="fm_toolbarWarningsBt" class="mToolButton" data-oc="manager.showToolbarPopup('fm_warnings')"><img class="icon" src="/manager/pic/ticonalert.png"><span></span></div>
	</div>

	<div id="fm_dirsPanel">
		<div id="fm_dirsPath" class="fm_dirsPath"></div>
		<div id="fm_dirsOptions" class="fm_dirsOptions">
			<div id="fm_dirsParentBt" style="float:left; display:none;" class="mButton" data-oc="fileManager.parentFolder()">
				<img src="/manager/pic/bticonparent.png">
				<span>parent folder</span>
			</div>
			<div id="fm_dirsNewFolderBt" class="mButton" data-oc="fileManager.openNewFolderPopup()">
				<img src="/manager/pic/bticonfolder.png">
				<span>new folder</span>
			</div>
			<div id="fm_dirsNewFileBt" class="mButton" data-oc="fileManager.openNewFilePopup()">
				<img src="/manager/pic/bticontextfile.png">
				<span>new file</span>
			</div>
			<div id="fm_dirsUploadBt" class="mButton" data-oc="fileManager.openUploadPopup()">
				<img src="/manager/pic/bticonupload.png">
				<span>upload file</span>
			</div>
		</div>
		
		<div id="fm_dirsHeader" class="fm_dirsHeader">
			<div class="name">File Name</div>
			<div class="modified">Modified</div>
			<div class="size">Size</div>
		</div>
			
		<div class="dash"></div>
		<div id="fm_dirsContent" class="fm_dirsContent" onmouseup="fileManager.onDirsClick(event,this)"></div>
		<div class="dash"></div>
		
		<div id="fm_dirsLoading" class="fm_dirsLoading">
			<div id="fm_dirsLoadingLabel" class="fm_dirsLoadingLabel"><img style="float:left; margin-right:4px;" src="/manager/pic/loader.gif">&nbsp;Loading</div>
		</div>
	</div>
	
	<div id="fm_detailsPanel">
		<div id="fm_detailsContent">
			<div class="icon">
				<img id="fm_detailsDirIcon" src="/manager/pic/fmicondir.png">
				<img id="fm_detailsFileIcon" src="/manager/pic/fmiconfile.png">
				<div id="fm_detailsTextPreview"></div>
				<img id="fm_detailsFileIconOver" src="/manager/pic/fmiconfileover.png">
				<img id="fm_detailsImgPreview" src="/manager/pic/empty.png" onload="this.style.visibility='visible'">
			</div>
			<div id="fm_detailsLabel">
				<div class="line">
					<div class="a">Name</div>
					<div id="fm_detailsName" class="b"></div>
					<br style="clear:both">
				</div>
				<div class="line">
					<div class="a">Kind</div>
					<div id="fm_detailsKind" class="b"></div>
					<br style="clear:both">
				</div>
			</div>
			<div id="fm_detailsOptions">
				<div class="title">Options</div>
				<div id="fm_detailsBtRestart" class="mButton" data-oc="manager.restartServer()">
					<img src="/manager/pic/bticondel.png">
					<span>restart hsyco</span>
				</div>
				<div id="fm_detailsBtDelete" class="mButton" data-oc="manager.openPopup('deletefile',true)">
					<img src="/manager/pic/bticondel.png">
					<span>delete</span>
				</div>
				<div class="mButton" data-oc="fileManager.downloadFile()">
					<img src="/manager/pic/bticondownload.png">
					<span>download</span>
				</div>
				<div id="fm_detailsBtRename" class="mButton" data-oc="fileManager.openRenameFilePopup()">
					<img src="/manager/pic/bticonrename.png">
					<span>rename</span>
				</div>
				<div id="fm_detailsBtEdit" class="mButton" data-oc="fileManager.openEditor()">
					<img src="/manager/pic/bticontextfile.png">
					<span>edit</span>
				</div>
				<div id="fm_detailsBtOpenFolder" class="mButton" data-oc="fileManager.selectItem()">
					<img src="/manager/pic/bticonfolder.png">
					<span>open</span>
				</div>
				<div id="fm_detailsBtOpenVE" class="mButton" data-oc="fileManager.openInProjectEditor()">
					<img src="/manager/pic/bticonfile.png">
					<span>open in project editor</span>
				</div>
				<br style="clear:both">
			</div>
		</div>
	</div>
	
	<div id="fm_uploadProgressPanel">
		<div id="fm_uploadContent">
			<div id="fm_uploadFileName">Uploading: this is a text file.png</div>
			<div id="fm_uploadBarContainer" class="m_barContainer">
				<div id="fm_uploadBar" class="m_bar"></div>
			</div>
			<div>
				<div id="fm_uploadProgress">50%</div>
				<div id="fm_uploadBytes">0.4 KB/12 KB</div>
			</div>
		</div>
	</div>
	
	<div id="fm_editorPanel">
		<div id="fm_editorHeader">
			<div id="fm_editorHeaderLabel"></div>
			<div style="float:right;">
				<div class="mToolButton popupBt" data-oc="fileManager.closeEditor()"><img src="/manager/pic/bticonclose.png"></div>
			</div>
			<div style="float:right; margin-right:30px;">
				<div class="mToolButton popupBt" data-oc="fileManager.setEditFontSize(1)"><img src="/manager/pic/bticonfontb.png"></div>
				<div class="mToolButton popupBt" data-oc="fileManager.setEditFontSize(0)"><img src="/manager/pic/bticonfonts.png"></div>
			</div>
			<br style="clear:both">
		</div>
		
		<div id="fm_editorContent">
			<textarea id="fm_editorTextLines" wrap="off" spellcheck="false" readonly="readonly" ></textarea>
			<textarea id="fm_editorText" wrap="off" spellcheck="false" onclick="focusMe(this)" onfocus="focusMe(this)" onblur="blurMe(this)"></textarea>
		</div>
		
		<div id="fm_editorLoading"><img style="float:left; margin-right:4px;" src="/manager/pic/loader.gif">&nbsp;Loading</div>
	</div>

</div>

<div id="logViewer">

	<div id="lv_toolbar" class="toolbar">
		<div class="toolbarAppIcon"><img src="/manager/pic/iconlv.png"></div>
		<div id="lv_toolbarHeader" class="toolbarHeader" onselectstart="return false;">Log Viewer</div>
		<div id="lv_toolbarAppsBt" class="mToolButton" data-oc="manager.showAppsPopup(true)"><img class="icon" src="/manager/pic/ticonapps.png"></div> 
	</div>

	<div id="lv_logPanel">
		<div id="lv_topPanel">
			<div id="lv_container">
				<div id="lv_log"></div>
			</div>
		</div>
		<div id="lv_bottomPanel">
			<div id="lv_pauseBt" class="mToolButton popupBt" data-oc="logViewer.togglePause()"><img class="icon" src="/manager/pic/loaderg.gif"><span>pause</span></div>
			<div class="mToolSep" style="float:left"><img src="/manager/pic/ticonsep.png"></div>
			<div id="lv_verboseModeBt" class="mToolButton popupBt" data-oc="logViewer.toggleLevel('verbose')"><img class="icon" src="/manager/pic/bticonchecko.png"><span>verbose</span></div>
			<div id="lv_eventsModeBt" class="mToolButton popupBt" data-oc="logViewer.toggleLevel('events')"><img class="icon" src="/manager/pic/bticonchecko.png"><span>events</span></div>
			<div id="lv_userModeBt" class="mToolButton popupBt" data-oc="logViewer.toggleLevel('user')"><img class="icon" src="/manager/pic/bticonchecko.png"><span>user</span></div>
			<div class="mToolSep" style="float:left"><img src="/manager/pic/ticonsep.png"></div>
			
			<div id="lv_filterField" class="stdInput" style="float:right; width:250px; padding:0; height:25px;">
				<input id="lv_filter" name="v" class="inner" type="text" value="" onchange="logViewer.updateFilter()" onkeyup="logViewer.updateFilter()" onfocus="focusMe(this)" onblur="blurMe(this)">
				<div class="mImageButton" style="float:right; padding:4px" data-oc="logViewer.updateFilter('')"><img src="/manager/pic/bticonclose.png"></div>
			</div>
			
			<div id="lv_filterModeBt" class="mToolButton popupBt" data-oc="logViewer.toggleFilter()"><img class="icon" src="/manager/pic/bticonsearch.png"><span>search:</span></div>
		</div>
	</div>

</div>

<div id="eventsEditor"></div>
<!-- 
 -->
<div id="popupArea">
	<div id="toolbarPopups">
		<div id="pe_editPopup">
			<div class="mButton" data-oc="projectEditor.showSourcePopup()">
				<img src="/manager/pic/bticonsource.png">
				<span>source</span>
			</div>
			<div id="undoButton" class="mButton" data-oc="projectEditor.undo()">
				<img src="/manager/pic/bticonundo.png">
				<span>undo</span>
			</div>
			<div class="mButton" data-oc="projectEditor.unhideAll()">
				<img src="/manager/pic/bticonshow.png">
				<span>unhide all</span>
			</div>
			<div class="mButton" data-oc="projectEditor.showActiveObj()">
				<img src="/manager/pic/bticonhide.png">
				<span>hide</span>
			</div>
			<div class="mButton" data-oc="projectEditor.moveZ(-1)">
				<img src="/manager/pic/bticondown.png">
				<span>move down</span>
			</div>
			<div class="mButton" data-oc="projectEditor.moveZ(1)">
				<img src="/manager/pic/bticonup.png">
				<span>move up</span>
			</div>
			<div id="snapCheckBox" class="mButton" data-oc="projectEditor.setSnap(this)">
				<img src="/manager/pic/bticoncheck.png"> 
				<span>snap</snap>
			</div>
		</div>
	
		<div id="pe_warningsPopup">
			<span>Errors:</span>
			<img id="pe_warningsLoading" style="float:right" src="/manager/pic/loader.gif">
			<div id="pe_warnings" name="w" style="overflow:auto">
			</div>
		</div>
		
		<div id="fm_editPopup">
			<div class="mButton" data-oc="fileManager.showLogPreview()">
				<img src="/manager/pic/bticonsource.png">
				<span>log preview</span>
			</div>
			<div id="undoButton" class="mButton" data-oc="fileManager.downloadBackup()">
				<img src="/manager/pic/bticondownload.png">
				<span>download root backup</span>
			</div>
		</div>

		<div id="fm_warningsPopup">
			<span>Errors:</span>
			<img id="fm_warningsLoading" style="float:right" src="/manager/pic/loader.gif">
			<div id="fm_warnings" name="w" style="overflow:auto">
			</div>
		</div>
	
		<div id="toolbarArrow"><img class="arrow" src="/manager/pic/toolbararrow.png"></div>
	</div>
	
	<div id="popupAreaContents">
		<div id="popupBg" onclick="return false;" ontouchstart="return false;"></div>
		<div id="popupFrame"></div>
		
		
		<!-- login -->
	
		<div id="popup-login" class="popupContent" style="width:316px">
			<div class="header">
				<span>Manager Login</span>
				<div name="closeBt" class="mToolButton popupBt" data-oc="manager.closePopup()"><img src="/manager/pic/bticonclose.png"></div>
				<br style="clear:both">
			</div>
			
			<div class="content">
				<div id="m_loginLabel"></div>
				<div id="m_loginCode"></div>
				<div id="m_loginKeypad">
					<div id="m_login3Bt" class="mButton" style="margin:4px;" data-oc="login.onButton('3')"><div>3</div></div>
					<div id="m_login2Bt" class="mButton" style="margin:4px;" data-oc="login.onButton('2')"><div>2</div></div>
					<div id="m_login1Bt" class="mButton" style="margin:4px;" data-oc="login.onButton('1')"><div>1</div></div>

					<div id="m_login6Bt" class="mButton" style="margin:4px;" data-oc="login.onButton('6')"><div>6</div></div>
					<div id="m_login5Bt" class="mButton" style="margin:4px;" data-oc="login.onButton('5')"><div>5</div></div>
					<div id="m_login4Bt" class="mButton" style="margin:4px;" data-oc="login.onButton('4')"><div>4</div></div>

					<div id="m_login9Bt" class="mButton" style="margin:4px;" data-oc="login.onButton('9')"><div>9</div></div>
					<div id="m_login8Bt" class="mButton" style="margin:4px;" data-oc="login.onButton('8')"><div>8</div></div>
					<div id="m_login7Bt" class="mButton" style="margin:4px;" data-oc="login.onButton('7')"><div>7</div></div>
					
					<div id="m_loginOkBt" class="mButton" style="margin:4px;" data-oc="login.onButton('k')"><div>OK</div></div>
					<div id="m_login0Bt" class="mButton" style="margin:4px;" data-oc="login.onButton('0')"><div>0</div></div>
					<div id="m_loginCBt" class="mButton" style="margin:4px;" data-oc="login.onButton('c')"><div><img src="/manager/pic/iconbackspace.png"></div></div>
					<br style="clear:both">
				</div>
			</div>
		</div>
		
		<!-- app switch -->

		<div id="popup-appswitch" class="popupContent" style="width:370px">
			<div class="header">
				<span>Manager Applications</span>
				<div name="closeBt" class="mToolButton popupBt" data-oc="manager.closePopup()"><img src="/manager/pic/bticonclose.png"></div>
				<br style="clear:both">
			</div>
			
			<div class="content">
				<div class="mAppButton" data-oc="manager.switchApp('pe')">
					<div class="iconContainer">
						<img class="icon" src="/manager/pic/appiconve.png">
						<img class="iconDown" src="/manager/pic/appiconved.png">
						<img class="iconOver" src="/manager/pic/empty.png">
					</div>
					<div>Project Editor</div>
				</div>
				<div class="mAppButton" data-oc="manager.switchApp('fm')">
					<div class="iconContainer">
						<img class="icon" src="/manager/pic/appiconfm.png">
						<img class="iconDown" src="/manager/pic/appiconfmd.png">
						<img class="iconOver" src="/manager/pic/empty.png">
					</div>
					<div>File Manager</div>
				</div>
				<div class="mAppButton" data-oc="manager.switchApp('lv')">
					<div class="iconContainer">
						<img class="icon" src="/manager/pic/appiconlv.png">
						<img class="iconDown" src="/manager/pic/appiconlvd.png">
						<img class="iconOver" src="/manager/pic/empty.png">
					</div>
					<div>Log Viewer</div>
				</div>
				<div class="dash" style="clear:both"></div>
				<div class="spacer"></div>
				<div id="pe_toolbarLogoutBt" class="mToolButton" data-oc="manager.openPopup('about')" style="float:left"><span>about</span></div>
				<div id="pe_toolbarLogoutBt" class="mToolButton" data-oc="files.load('lock')"><img class="icon" src="/manager/pic/ticonlock.png"><span>lock</span></div>
				<div id="pe_toolbarLogoutBt" class="mToolButton" data-oc="files.load('logout')"><img class="icon" src="/manager/pic/ticonlogout.png"><span>logout</span></div>
			</div>
			
			<div class="spacer"></div>
		</div>
		
		<!-- general -->
		
		<div id="popup-about" class="popupContent" style="width:220px">
			<div class="header">
				<span>About HSYCO</span>
				<div name="closeBt" class="mToolButton popupBt" data-oc="manager.closePopup()"><img src="/manager/pic/bticonclose.png"></div>
				<br style="clear:both">
			</div>
			
			<div class="content">
				<div name="e" class="label" style="text-align:center">
				HSYCO<br>
				<script>document.write(JSONConfig.hsycoconfig.version)</script><br>
				<br>
				Copyright 2007-2012<br>
				Home Systems Consulting S.p.A.<br>
				All rights reserved.<br>
				</div>
				<div class="spacer"></div>
				<div class="spacer"></div>
				<div class="field">
					<div class="mButton" data-oc="manager.closePopup()">
						<img src="/manager/pic/bticoncheck.png">
						<span>ok</span>
					</div>
					<br style="clear:both">
				</div>
			</div>
			
			<div class="spacer"></div>
		</div>
		
		<div id="popup-error" class="popupContent">
			<div class="header">
				<span>Error</span>
				<div name="closeBt" class="mToolButton popupBt" data-oc="manager.closePopup()"><img src="/manager/pic/bticonclose.png"></div>
				<br style="clear:both">
			</div>
			
			<div class="content">
				<div name="e" class="label"></div>
				<div class="spacer"></div>
				<div class="spacer"></div>
				<div class="field">
					<div class="mButton" data-oc="manager.closePopup()">
						<img src="/manager/pic/bticoncheck.png">
						<span>continue</span>
					</div>
					<br style="clear:both">
				</div>
			</div>
			
			<div class="spacer"></div>
		</div>

		<div id="popup-loading" class="popupContent">
			<div class="header">
				<span>Loading</span>
				<div name="closeBt" class="mToolButton popupBt" data-oc="manager.closePopup()"><img src="/manager/pic/bticonclose.png"></div>
				<br style="clear:both">
			</div>
			
			<div class="spacer"></div>
			
			<div class="content">
				<div name="e" class="label"><img style="float:left; margin-right:4px;" src="/manager/pic/loaderg.gif">&nbsp;Loading content</div>
			</div>
			
			<div class="spacer"></div>
			<div class="spacer"></div>
		</div>

		<div id="popup-saving" class="popupContent">
			<div class="header">
				<span>Saving</span>
				<div name="closeBt" class="mToolButton popupBt" data-oc="manager.closePopup()"><img src="/manager/pic/bticonclose.png"></div>
				<br style="clear:both">
			</div>
			
			<div class="spacer"></div>
			
			<div class="content">
				<div name="e" class="label"><img style="float:left; margin-right:4px;" src="/manager/pic/loaderg.gif">&nbsp;Saving content</div>
			</div>
			
			<div class="spacer"></div>
			<div class="spacer"></div>
		</div>
		
		<div id="popup-filerefresh" class="popupContent">
			<div class="header">
				<span>File Changed</span>
				<div name="closeBt" class="mToolButton popupBt" data-oc="manager.closePopup()"><img src="/manager/pic/bticonclose.png"></div>
				<br style="clear:both">
			</div>
			
			<div class="content">
				<div name="e" class="label">The file you're editing has been changed. Do you want to replace the editor contents with these changes?</div>
				<div class="spacer"></div>
				<div class="spacer"></div>
				<div class="field">
					<div class="mButton" style="width:80px" data-oc="manager.closePopup()">
						<img src="/manager/pic/bticonclose.png">
						<span>no</span>
					</div>
					<div class="mButton" style="width:80px; margin-right:5px;" data-oc="timestampChecker.onRefresh()">
						<img src="/manager/pic/bticoncheck.png">
						<span>yes</span>
					</div>
					<br style="clear:both">
				</div>
			</div>
		</div>
		
		<div id="popup-waitrestart" class="popupContent">
			<div class="header">
				<span>Restart</span>
				<div name="closeBt" class="mToolButton popupBt" data-oc="manager.closePopup()"><img src="/manager/pic/bticonclose.png"></div>
				<br style="clear:both">
			</div>
			
			<div class="content">
				<div name="e" class="label">The server is restarting, please wait...</div>
				<div class="spacer"></div>
			</div>
			
			<div class="spacer"></div>
		</div>
		
		<!-- pe -->
		
		<div id="popup-saveerror" class="popupContent">
			<div class="header">
				<span>Save</span>
				<div name="closeBt" class="mToolButton popupBt" data-oc="manager.closePopup()"><img src="/manager/pic/bticonclose.png"></div>
				<br style="clear:both">
			</div>
			
			<div class="content">
				<div name="e" class="label">There are some warnings. Save anyway?</div>
				<div class="spacer"></div>
				<div class="spacer"></div>
				<div class="field">
					<div class="mButton" style="width:80px" data-oc="manager.closePopup()">
						<img src="/manager/pic/bticonclose.png">
						<span>cancel</span>
					</div>
					<div class="mButton" style="width:80px; margin-right:5px;" data-oc="projectEditor.saveProject(true)">
						<img src="/manager/pic/bticoncheck.png">
						<span>save</span>
					</div>
					<br style="clear:both">
				</div>
			</div>
			
			<div class="spacer"></div>
		</div>
		
		<div id="popup-cameravalues" class="popupContent" style="width:325px">
			<div class="header">
				<span></span>
				<div name="closeBt" class="mToolButton popupBt" data-oc="manager.closePopup()"><img src="/manager/pic/bticonclose.png"></div>
				<br style="clear:both">
			</div>
			
			<div class="content">
				<div class="spacer"></div>
				<div id="cameraValues" style="overflow:auto">
				</div>
				<div class="spacer"></div>
				<div class="field">
					<div class="mButton" data-oc="projectEditor.confirmCameraValuesPopup()">
						<img src="/manager/pic/bticoncheck.png">
						<span>ok</span>
					</div>
					<br style="clear:both">
				</div>
			</div>
			
			<div class="spacer"></div>
		</div>
		
		<div id="popup-duplicatepage" class="popupContent">
			<div class="header">
				<span>Duplicate Page</span>
				<div name="closeBt" class="mToolButton popupBt" data-oc="manager.closePopup()"><img src="/manager/pic/bticonclose.png"></div>
				<br style="clear:both">
			</div>
			
			<div class="content">
				<div class="label">New ID:</div>
				<div class="spacer"></div>
				<div class="field">
					<input name="n" class="stdInput" type="text" style="width:180px" onfocus="focusMe(this)" onblur="blurMe(this)">
					<br style="clear:both">
				</div>
				<div class="spacer"></div>
				<div class="field">
					<div class="mButton" data-oc="projectEditor.cloneActivePage()">
						<img src="/manager/pic/bticonclone.png">
						<span>duplicate page</span>
					</div>
					<br style="clear:both">
				</div>
			</div>
			
			<div class="spacer"></div>
		</div>
		
		<div id="popup-duplicateproject" class="popupContent">
			<div class="header">
				<span>Duplicate Project</span>
				<div name="closeBt" class="mToolButton popupBt" data-oc="manager.closePopup()"><img src="/manager/pic/bticonclose.png"></div>
				<br style="clear:both">
			</div>
			
			<div class="content">
				<div class="label">New Name:</div>
				<div class="spacer"></div>
				<div class="field">
					<input name="n" class="stdInput" type="text" style="width:180px" onfocus="focusMe(this)" onblur="blurMe(this)">
					<br style="clear:both">
				</div>
				<div class="fieldR">
					<input style="margin-left:20px;" id="cloneprojectsavefirst" name="s" type="checkbox" checked="checked" onfocus="focusMe(this)" onblur="blurMe(this)">
					<label for="cloneprojectsavefirst" class="labelR">Save before duplicating</label>
				</div>
				<br style="clear:both">
				<br style="clear:both">
				<div class="field">
					<div class="mButton" data-oc="projectEditor.cloneProject()">
						<img src="/manager/pic/bticonclone.png">
						<span>duplicate project</span>
					</div>
					<br style="clear:both">
				</div>
			</div>
			
			<div class="spacer"></div>
		</div>
		
		<div id="popup-deleteproject" class="popupContent">
			<div class="header">
				<span>Delete Project</span>
				<div name="closeBt" class="mToolButton popupBt" data-oc="manager.closePopup()"><img src="/manager/pic/bticonclose.png"></div>
				<br style="clear:both">
			</div>
			
			<div class="content">
				<div name="e" class="label">Are you sure you want to delete the project?</div>
				<div class="spacer"></div>
				<div class="spacer"></div>
				<div class="field">
					<div class="mButton" style="width:80px" data-oc="manager.closePopup()">
						<img src="/manager/pic/bticonclose.png">
						<span>no</span>
					</div>
					<div class="mButton" style="width:80px; margin-right:5px;" data-oc="projectEditor.delProject(true)">
						<img src="/manager/pic/bticoncheck.png">
						<span>yes</span>
					</div>
					<br style="clear:both">
				</div>
			</div>
			
			<div class="spacer"></div>
		</div>
		
		<div id="popup-choosefile" class="popupContent" style="width:325px">
			<div class="header">
				<span>Choose File</span>
				<div name="closeBt" class="mToolButton popupBt" data-oc="manager.closePopup()"><img src="/manager/pic/bticonclose.png"></div>
				<br style="clear:both">
			</div>
			
			<div class="content">
				<div id="fm_dirsPPanel">
					<div id="fm_dirsPPath" class="fm_dirsPath"></div>
					<div id="fm_dirsPOptions" class="fm_dirsOptions">
						<div id="fm_dirsPParentBt" class="mButton" style="float:left; display:none;" data-oc="fileManager.parentFolder()">
							<img src="/manager/pic/bticonparent.png">
							<span>parent folder</span>
						</div>
						<div class="mButton" style="margin-left:4px;" data-oc="fileManager.openNewFolderPopup()">
							<img src="/manager/pic/bticonfolder.png">
							<span>new folder</span>
						</div>
						<div id="fm_dirsPUploadBt" class="mButton" data-oc="fileManager.openUploadPopup()">
							<img src="/manager/pic/bticonupload.png">
							<span>upload file</span>
						</div>
					</div>
					
					<div id="fm_dirsPHeader" class="fm_dirsHeader">
						<div class="name">File Name</div>
						<div class="size">Size</div>
					</div>
					
					<div class="dash"></div>
					<div id="fm_dirsPContent" class="fm_dirsContent" onmouseup="fileManager.onDirsClick(event,this)"></div>
					<div class="dash"></div>
					
					<div id="fm_dirsPLoading" class="fm_dirsLoading">
						<div id="fm_dirsPLoadingLabel" class="fm_dirsLoadingLabel"><img style="float:left; margin-right:4px;" src="/manager/pic/loader.gif">&nbsp;Loading</div>
					</div>
				</div>
				
				<div class="field">
					<div id="fm_dirsPConfirmBt" class="mButton" data-oc="projectEditor.confirmChooseFilePopup()">
						<img src="/manager/pic/bticoncheck.png">
						<span>ok</span>
					</div>
					<br style="clear:both">
				</div>
			</div>
			
			<div class="spacer"></div>
		</div>
		
		<div id="popup-css" class="popupContent" style="width:325px">
			<div class="header">
				<span>CSS Style</span>
				<div name="closeBt" class="mToolButton popupBt" data-oc="manager.closePopup()"><img src="/manager/pic/bticonclose.png"></div>
				<br style="clear:both">
			</div>
			
			<div class="content listPanel">
				<div class="field">
					<div class="spacer"></div>
					
					<div class="listPanelHeader">
						<span class="a">Attribute</span>
						<span class="b">Value</span>
					</div>
					
					<div class="dash"></div>
					<div id="cssListPanel" name="projectEditor.cssListPanel" class="listPanelContent">
						<div name="attr" class="item">
							<span class="selectIcon"><select tabindex="-1"></select></span>
							<span class="input"><input type="text" class="stdInput" onfocus="focusMe(this)" onblur="blurMe(this)"/></span>
							<span class="sep"></span>
							<span class="selectIcon"><select tabindex="-1"></select></span>
							<span class="input"><input type="text" class="stdInput" onfocus="focusMe(this)" onblur="blurMe(this)"/></span>
							<div class="mToolButton popupBt"><img src="/manager/pic/bticonbin.png"></div>
							<br style="clear:both">
						</div>
						<div name="add" class="mItemButton add" data-oc="projectEditor.cssListPanel.add()">
							<span>add attribute</span><img style="float:right" src="/manager/pic/iconadd.png">
						</div>
					</div>
					<div class="dash"></div>
				</div>
				
				<div class="spacer"></div>
				
				<div class="field">
					<div class="mButton" data-oc="projectEditor.confirmCSSPopup()">
						<img src="/manager/pic/bticoncheck.png">
						<span>ok</span>
					</div>
					<br style="clear:both">
				</div>
			</div>
			
			<div class="spacer"></div>
		</div>
		
		<div id="popup-chartattributes" class="popupContent" style="width:325px">
			<div class="header">
				<span>Chart Attributes</span>
				<div name="closeBt" class="mToolButton popupBt" data-oc="manager.closePopup()"><img src="/manager/pic/bticonclose.png"></div>
				<br style="clear:both">
			</div>
			
			<div class="content listPanel">
				<div class="field">
					<div class="spacer"></div>
					
					<div class="listPanelHeader">
						<span class="a">Attribute</span>
						<span class="b">Value</span>
					</div>
					
					<div class="dash"></div>
					<div id="chartAttributesListPanel" name="projectEditor.chartAttributesListPanel" class="listPanelContent">
						<div name="attr" class="item">
							<span class="selectIcon"><select tabindex="-1"></select></span>
							<span class="input"><input type="text" class="stdInput" onfocus="focusMe(this)" onblur="blurMe(this)"/></span>
							<span class="sep"></span>
							<span class="selectIcon"><select tabindex="-1"></select></span>
							<span class="input"><input type="text" class="stdInput" onfocus="focusMe(this)" onblur="blurMe(this)"/></span>
							<div class="mToolButton popupBt"><img src="/manager/pic/bticonbin.png"></div>
							<br style="clear:both">
						</div>
						<div name="add" class="mItemButton add" data-oc="projectEditor.chartAttributesListPanel.add()">
							<span>add attribute</span><img style="float:right" src="/manager/pic/iconadd.png">
						</div>
					</div>
					<div class="dash"></div>
				</div>
				
				<div class="spacer"></div>
				
				<div class="field">
					<div class="mButton" data-oc="projectEditor.confirmChartAttributesPopup()">
						<img src="/manager/pic/bticoncheck.png">
						<span>ok</span>
					</div>
					<br style="clear:both">
				</div>
			</div>
			
			<div class="spacer"></div>
		</div>
		
		<div id="popup-dataloggerattributes" class="popupContent" style="width:325px">
			<div class="header">
				<span>DataLogger Attributes</span>
				<div name="closeBt" class="mToolButton popupBt" data-oc="manager.closePopup()"><img src="/manager/pic/bticonclose.png"></div>
				<br style="clear:both">
			</div>
			
			<div class="content listPanel">
				<div class="field">
					<div class="spacer"></div>
					
					<div class="listPanelHeader">
						<span class="a">Attribute</span>
						<span class="b">Value</span>
					</div>
					
					<div class="dash"></div>
					<div id="dataLoggerAttributesListPanel" name="projectEditor.dataLoggerAttributesListPanel" class="listPanelContent">
						<div name="attr" class="item">
							<span class="selectIcon"><select tabindex="-1"></select></span>
							<span class="input"><input type="text" class="stdInput" onfocus="focusMe(this)" onblur="blurMe(this)"/></span>
							<span class="sep"></span>
							<span class="selectIcon"><select tabindex="-1"></select></span>
							<span class="input"><input type="text" class="stdInput" onfocus="focusMe(this)" onblur="blurMe(this)"/></span>
							<div class="mToolButton popupBt"><img src="/manager/pic/bticonbin.png"></div>
							<br style="clear:both">
						</div>
						<div name="add" class="mItemButton add" data-oc="projectEditor.dataLoggerAttributesListPanel.add()">
							<span>add attribute</span><img style="float:right" src="/manager/pic/iconadd.png">
						</div>
					</div>
					<div class="dash"></div>
				</div>
				
				<div class="spacer"></div>
				
				<div class="field">
					<div class="mButton" data-oc="projectEditor.confirmDataLoggerAttributesPopup()">
						<img src="/manager/pic/bticoncheck.png">
						<span>ok</span>
					</div>
					<br style="clear:both">
				</div>
			</div>
			
			<div class="spacer"></div>
		</div>
		
		<!-- fm -->
		
		<div id="popup-restart" class="popupContent">
			<div class="header">
				<span>Restart the server</span>
				<div name="closeBt" class="mToolButton popupBt" data-oc="manager.closePopup()"><img src="/manager/pic/bticonclose.png"></div>
				<br style="clear:both">
			</div>
			
			<div class="content">
				<div name="e" class="label">Are you sure you want to restart the server?</div>
				<div class="spacer"></div>
				<div class="spacer"></div>
				<div class="field">
					<div class="mButton" style="width:80px" data-oc="manager.closePopup()">
						<img src="/manager/pic/bticonclose.png">
						<span>no</span>
					</div>
					<div class="mButton" style="width:80px; margin-right:5px;" data-oc="manager.restartServer(true)">
						<img src="/manager/pic/bticoncheck.png">
						<span>yes</span>
					</div>
					<br style="clear:both">
				</div>
			</div>
			
			<div class="spacer"></div>
		</div>

		<div id="popup-newfolder" class="popupContent">
			<div class="header">
				<span>New Folder</span>
				<div name="closeBt" class="mToolButton popupBt" data-oc="manager.closePopup()"><img src="/manager/pic/bticonclose.png"></div>
				<br style="clear:both">
			</div>
			
			<div class="content">
				<div class="label">Folder name:</div>
				<div class="spacer"></div>
				<div class="field">
					<input name="n" class="stdInput" type="text" style="width:180px" onfocus="focusMe(this)" onblur="blurMe(this)">
					<br style="clear:both">
				</div>
				<div class="spacer"></div>
				<div class="field">
					<div class="mButton" data-oc="fileManager.newFolder()">
						<img src="/manager/pic/bticonfolder.png">
						<span>new folder</span>
					</div>
					<br style="clear:both">
				</div>
			</div>
			
			<div class="spacer"></div>
		</div>
		
		<div id="popup-newfile" class="popupContent">
			<div class="header">
				<span>New File</span>
				<div name="closeBt" class="mToolButton popupBt" data-oc="manager.closePopup()"><img src="/manager/pic/bticonclose.png"></div>
				<br style="clear:both">
			</div>
			
			<div class="content">
				<div class="label">File name:</div>
				<div class="spacer"></div>
				<div class="field">
					<input name="n" class="stdInput" type="text" style="width:180px" onfocus="focusMe(this)" onblur="blurMe(this)">
					<br style="clear:both">
				</div>
				<div class="spacer"></div>
				<div class="field">
					<div class="mButton" data-oc="fileManager.newFile()">
						<img src="/manager/pic/bticontextfile.png">
						<span>new file</span>
					</div>
					<br style="clear:both">
				</div>
			</div>
			
			<div class="spacer"></div>
		</div>
		
		<div id="popup-renamefile" class="popupContent">
			<div class="header">
				<span>Rename File</span>
				<div name="closeBt" class="mToolButton popupBt" data-oc="manager.closePopup()"><img src="/manager/pic/bticonclose.png"></div>
				<br style="clear:both">
			</div>
			
			<div class="content">
				<div class="label">File name:</div>
				<div class="spacer"></div>
				<div class="field">
					<input name="n" class="stdInput" type="text" style="width:180px" onfocus="focusMe(this)" onblur="blurMe(this)">
					<br style="clear:both">
				</div>
				<div class="spacer"></div>
				<div class="field">
					<div class="mButton" data-oc="fileManager.renameFile()">
						<img src="/manager/pic/bticontextfile.png">
						<span>rename file</span>
					</div>
					<br style="clear:both">
				</div>
			</div>
			
			<div class="spacer"></div>
		</div>
		
		<div id="popup-deletefile" class="popupContent">
			<div class="header">
				<span>Delete</span>
				<div name="closeBt" class="mToolButton popupBt" data-oc="manager.closePopup()"><img src="/manager/pic/bticonclose.png"></div>
				<br style="clear:both">
			</div>
			
			<div class="content">
				<div name="e" class="label">Are you sure you want to delete?</div>
				<div class="spacer"></div>
				<div class="spacer"></div>
				<div class="field">
					<div class="mButton" style="width:80px" data-oc="manager.closePopup()">
						<img src="/manager/pic/bticonclose.png">
						<span>no</span>
					</div>
					<div class="mButton" style="width:80px; margin-right:5px;" data-oc="fileManager.deleteFile(true)">
						<img src="/manager/pic/bticoncheck.png">
						<span>yes</span>
					</div>
					<br style="clear:both">
				</div>
			</div>
			
			<div class="spacer"></div>
		</div>
		
		<div id="popup-uploadfile" class="popupContent">
			<div class="header">
				<span>Upload File</span>
				<div name="closeBt" class="mToolButton popupBt" data-oc="manager.closePopup()"><img src="/manager/pic/bticonclose.png"></div>
				<br style="clear:both">
			</div>
			
			<div class="content">
				<div class="label">Choose file:</div>
				<div class="spacer"></div>
				<div class="field" style="overflow:hidden;">
					<form id="fm_uploadFileForm" action="" enctype="multipart/form-data" method="post" target="fm_uploadFileFrame">
					<input id="fm_uploadFileInput" style="font-size:12px" class="stdInput" type="file" name="file" size="11" onfocus="focusMe(this)" onblur="blurMe(this)">
					</form>		
					<br style="clear:both">
				</div>
				<div class="spacer"></div>
				<div class="spacer"></div>
				<div class="field">
					<div class="mButton" data-oc="fileManager.uploadFile()">
						<img src="/manager/pic/bticonupload.png">
						<span>upload</span>
					</div>
					<br style="clear:both">
				</div>
				<iframe id="fm_uploadFileFrame" name="fm_uploadFileFrame" style="width:185px; display:none"></iframe>
			</div>
			
			<div class="spacer"></div>
		</div>
		
		<div id="popup-uploadingfile" class="popupContent">
			<div class="header">
				<span>Upload File</span>
				<div name="closeBt" class="mToolButton popupBt" data-oc="manager.closePopup()"><img src="/manager/pic/bticonclose.png"></div>
				<br style="clear:both">
			</div>
			
			<div class="content">
				<div class="label">Please wait, upload in progress..</div>
				<div class="spacer"></div>
				<div class="field">
					<div id="fm_uploadPFileName">&nbsp;</div>
					<div id="fm_uploadPBarContainer" class="m_barContainer">
						<div id="fm_uploadPBar" class="m_bar"></div>
					</div>
					<div>
						<div id="fm_uploadPProgress">&nbsp;</div>
						<div id="fm_uploadPBytes">&nbsp;</div>
					</div>
					<div class="spacer"></div>
				</div>
				<div class="spacer"></div>
				<div class="field">
					<div class="mButton" data-oc="fileManager.cancelUpload()">
						<img src="/manager/pic/bticondel.png">
						<span>cancel upload</span>
					</div>
					<br style="clear:both">
				</div>
			</div>
			
			<div class="spacer"></div>
		</div>
		
		<div id="popup-uploadoverwrite" class="popupContent">
			<div class="header">
				<span>Upload File</span>
				<div name="closeBt" class="mToolButton popupBt" data-oc="manager.closePopup()"><img src="/manager/pic/bticonclose.png"></div>
				<br style="clear:both">
			</div>
			
			<div class="content">
				<div name="e" class="label">The file you're uploading already exists. Overwrite it?</div>
				<div class="spacer"></div>
				<div class="spacer"></div>
				<div class="field">
					<div class="mButton" style="width:80px" data-oc="manager.closePopup()">
						<img src="/manager/pic/bticonclose.png">
						<span>no</span>
					</div>
					<div class="mButton" style="width:80px; margin-right:5px;" data-oc="fileManager.uploadFile(true)">
						<img src="/manager/pic/bticoncheck.png">
						<span>yes</span>
					</div>
					<br style="clear:both">
				</div>
			</div>
			
			<div class="spacer"></div>
		</div>
	
		<div id="popup-closeeditor" class="popupContent">
			<div class="header">
				<span>Save</span>
				<div name="closeBt" class="mToolButton popupBt" data-oc="manager.closePopup()"><img src="/manager/pic/bticonclose.png"></div>
				<br style="clear:both">
			</div>
			
			<div class="content">
				<div name="e" class="label">Save edited file before closing the editor?</div>
				<div class="spacer"></div>
				<div class="spacer"></div>
				<div class="field">
 					<div class="mButton" style="width:80px" data-oc="fileManager.closeEditor(false)">
						<img src="/manager/pic/bticonclose.png">
						<span>no</span>
					</div>
					<div class="mButton" style="width:80px; margin-right:5px;" data-oc="fileManager.closeEditor(true)">
						<img src="/manager/pic/bticoncheck.png">
						<span>save</span>
					</div>
					<br style="clear:both">
				</div>
			</div>
			
			<div class="spacer"></div>
		</div>
		
	</div>
</div>
	
<div id="noticePanel">
	<img src="/manager/pic/iconstatus.gif">
	<span id="notice"></span>
	<div name="closeBt" class="mToolButton popupBt" data-oc="manager.clearNotice(true)"><img src="/manager/pic/bticonclose.png"></div>
</div>

<div id="quickAppsPanel">
	<div name="pe" class="quickAppsButton">
		<div class="iconContainer">
			<img class="icon" src="/manager/pic/appiconve.png">
		</div>
		<div>Project Editor</div>
	</div>
	<div name="fm" class="quickAppsButton">
		<div class="iconContainer">
			<img class="icon" src="/manager/pic/appiconfm.png">
		</div>
		<div>File Manager</div>
	</div>
	<div name="lv" class="quickAppsButton">
		<div class="iconContainer">
			<img class="icon" src="/manager/pic/appiconlv.png">
		</div>
		<div>Log Viewer</div>
	</div>
</div>

<div id="delmeArea"></div>

<div id="tempArea">
</div>

</body>

</html>
